%define module_version 0.91
%define module_name Pod-Inherit
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Class/C3.pm) perl(Class/Load.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dump/Streamer.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(List/AllUtils.pm) perl(MRO/Compat.pm) perl(Module/Build.pm) perl(Module/CoreList.pm) perl(Moose.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Path/Class.pm) perl(Path/Class/Dir.pm) perl(Pod/POM.pm) perl(Pod/POM/View/Text.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Sub/Identify.pm) perl(Test/Differences.pm) perl(Test/EOL.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Warn.pm)
BuildRequires: perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(overload.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.91
Release: alt1
Summary: auto-create POD sections listing inherited methods
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BB/BBYRD/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Ever written a module distribution with base classes and dependencies,.that had the POD for the various methods next to them, but hard to
find for the user of your modules? Ever wished POD could be
inheritable? Now it can.

This module will load each of the classes in the list of input
files or directories given (default: `@ARGV'), auto-discover which
methods each class provides, locate the actual class the method is
defined in, and produce a list in POD.

The resulting documentation is written out to a separate .pod file
for each class (.pm) encountered. The new file contains the
original POD from the Perl Module file, plus a section called
`INHERITED METHODS'. The new section lists each class that the
current class inherits from, plus each method that can be used in the
current class as a result.

By default, methods beginning with an underscore, `_' are skipped, as
by convention these are private methods.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/P*

%changelog
* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.91-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.90-alt1
- initial import by package builder

